enchant();
window.onload = preloadAssets;

var game;
var scene;
var sprite;

function preloadAssets()
{
	game = new Game(320,480);
	game.onload = init;

    game.preload("images/chara1.png");
	
	game.start();
}


function init()
{
	game.scale = 1;
	game.fps = 30;
	scene = new Scene();
	scene.backgroundColor = "#000";
	game.pushScene(scene);
	
	sprite = new Sprite(32, 32);

    sprite.image = game.assets["images/chara1.png"];

	sprite.backgroundColor = "#66F";
    sprite.x = 0;
    sprite.y = 0;

    // Aj[Vt[̐ݒ
    sprite.frame = [6, 6, 7, 7];
    
    // ړ
    var moveValueX = game.width - sprite.width;
    var moveValueY = 0;
    var moveFrame = 90;
    var turnFrame = 10;
    var scale = 1;
    
	sprite.tl
		.moveBy(moveValueX, moveValueY, moveFrame)
		.scaleTo(-scale, scale, turnFrame)
		.moveBy(-moveValueX, moveValueY, moveFrame)
		.scaleTo(scale, scale, turnFrame)
		.loop();

    scene.addChild(sprite);
	
	main();
}


function main()
{
	game.addEventListener(Event.ENTER_FRAME,enterFrame);
}

function enterFrame(e)
{
}

